<%@ taglib uri="webwork" prefix="webwork" %>

<webwork:if test="applicationProperties/option('jira.option.timetracking') == true">
<br/>
<table width="100%" cellpadding="0" cellspacing="0">
    <tr>
        <td>
            <table cellpadding="4" cellspacing="1" class="tt_outer">
                <tr>
                    <td id="tt_heading" class="tt_heading" style="line-height:150%;">
                        <webwork:text name="'timetracking.title'"/>:
                        <webwork:if test="/aggregateTimeTrackingBean/subTaskCount != 0">
                        <br/>
                        <div id="tt_heading_aggregate">
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                            <span><webwork:text name="'timetracking.this.issue.and.subtasks'"/></span>
                            <br/>
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                            <span id="link_show_single" title="<webwork:text name="'timetracking.this.issue.tooltip'"/>" onclick="JiraTimeTrackingAggregate.showSingle()" class="fakelink"><webwork:text name="'timetracking.this.issue'"/></span>
                        </div>
                        <div id="tt_heading_single" style="display:none;">
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                            <span id="link_show_aggregate" title="<webwork:text name="'timetracking.this.issue.and.subtasks.tooltip'"/>" onclick="JiraTimeTrackingAggregate.showAggregate()" class="fakelink"><webwork:text name="'timetracking.this.issue.and.subtasks'"/></span>
                            <br/>
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="" />
                            <span><webwork:text name="'timetracking.this.issue'"/></span>
                        </div>
                        </webwork:if>
                    </td>
                    <td class="tt_infoarea">
                        <webwork:if test="/aggregateTimeTrackingBean/subTaskCount != 0">
                        <div id="tt_info_aggregate">
                            <webwork:component template="timetrackinginfo.jsp" name="'tt_aggregate'" value="/aggregateTimeTrackingGraphBean" />
                        </div>
                        <div id="tt_info_single" style="display:none;">
                            <webwork:component template="timetrackinginfo.jsp" name="'tt_single'" value="/timeTrackingGraphBean" />
                        </div>
                        </webwork:if>
                        <webwork:else>
                            <webwork:component template="timetrackinginfo.jsp" name="'tt_single'" value="/timeTrackingGraphBean" />
                        </webwork:else>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<webwork:if test="/aggregateTimeTrackingBean/subTaskCount != 0">
<script language="JavaScript" type="text/javascript">
    var JiraTimeTrackingAggregate = function()
    {
        var aggregateHeading = document.getElementById("tt_heading_aggregate");
        var aggregateInfo = document.getElementById("tt_info_aggregate");
        var singleHeading = document.getElementById("tt_heading_single");
        var singleInfo = document.getElementById("tt_info_single");

        function show(thing)
        {
            thing.style.display = '';
        }

        function hide(thing)
        {
            thing.style.display = 'none';
        }

        return {<%-- IDEA likes this brace format!!! If you put it on the next line you get syntax errors - go figure --%>
            showAggregate : function()
            {
                show(aggregateHeading);
                show(aggregateInfo);
                hide(singleHeading);
                hide(singleInfo);
            },
            showSingle : function()
            {
                hide(aggregateHeading);
                hide(aggregateInfo);
                show(singleHeading);
                show(singleInfo);
            }
        };
    }();
</script>
</webwork:if>
</webwork:if>