<%@ page import="com.atlassian.jira.web.component.webfragment.UserNavContextLayoutBean" %>
<%@ page import="com.atlassian.jira.web.component.webfragment.WebFragmentWebComponent" %>
<%@ page import="com.atlassian.jira.web.component.webfragment.ContextLayoutBean" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.webfragment.model.JiraHelper" %>
<%@ page import="com.atlassian.jira.web.component.webfragment.ViewUserProfileContextLayoutBean" %>
<%@ page import="webwork.action.ActionContext" %>
<%@ page import="com.opensymphony.user.User" %>
<%@ page import="com.atlassian.jira.plugin.webfragment.conditions.UserIsTheLoggedInUserCondition" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>


<webwork:property value="user">
<div class="vcard"><%-- hCard microformat --%>
<table cellpadding="3" cellspacing="0" border="0">
    <tr>
        <td valign=top>
            <b><webwork:text name="'common.words.username'"/>:</b><br>
            <webwork:property value="name" />
        </td>
    </tr>
    <tr>
        <td valign=top>
            <b><webwork:text name="'common.words.fullname'"/>:</b><br>
            <span class="fn"><webwork:property value="fullName" /></span><%-- hCard:fn --%>
        </td>
    </tr>
    <webwork:if test="/emailVisible == true">
    <tr>
        <td valign=top>
            <b><webwork:text name="'common.words.email'"/>:</b><br>
            <span class="email"><webwork:property value="displayEmail(email)" escape="false"/></span><%-- hCard:email --%>
        </td>
    </tr>
    </webwork:if>

    <webwork:if test="/userProperties != null && /userProperties/empty == false">
    <tr>
        <td valign="top">
        <b><webwork:text name="'user.properties'"/>:</b><br />
        <webwork:iterator value="/userProperties">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
            <webwork:property value="key" /> : <webwork:property value="value" /><br />
        </webwork:iterator>
        </td>
    </tr>
    </webwork:if>

    <webwork:if test="groups && groups/size > 0">
    <tr>
        <td valign=top>
            <b><webwork:text name="'common.words.groups'"/>:</b><br>
            <webwork:iterator value="groups">
                <webwork:if test="../hasViewGroupPermission(., /remoteUser) == true">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                    <webwork:property /><br>
                </webwork:if>
            </webwork:iterator>
        </td>
    </tr>
    </webwork:if>


</table>
</div>
</webwork:property>

<p>

<%
    User profileUser = (User) ActionContext.getValueStack().findValue("/user");
    ContextLayoutBean userNavLayout = new ViewUserProfileContextLayoutBean(profileUser, (String) ActionContext.getValueStack().findValue("/actionName"));
    WebFragmentWebComponent navWebFragment = (WebFragmentWebComponent) ComponentManager.getComponentInstanceOfType(WebFragmentWebComponent.class);
    // Set the context user as a request attribute so we can fish it out in the condition through the JiraHelper
    request.setAttribute(UserIsTheLoggedInUserCondition.PROFILE_USER, profileUser);
%>

<webwork:if test="/user == /remoteUser">
    <table cellpadding="3" cellspacing="0" border="0" width="200">
        <tr><td bgcolor="#dddddd">
            <b><webwork:text name="'user.reports'"/></b>
        </td></tr>
    </table>
    <img src="<%= request.getContextPath() %>/images/bluepixel.gif" width=200 height=1 border=0><br>

    <table cellpadding=3 cellspacing=0 border=0>
        <%= navWebFragment.getHtml("templates/plugins/webfragments/system-user-profile-links-reports.vm", "system.user.profile.links", new JiraHelper(request), userNavLayout) %>
    </table>
</webwork:if>

<p>

<table cellpadding="3" cellspacing="0" border="0" width="200">
<tr><td bgcolor="#dddddd">
    <b><webwork:text name="'common.words.operations'"/></b>
</td></tr>
</table>
<img src="<%= request.getContextPath() %>/images/bluepixel.gif" width="200" height="1" border="0" alt=""><br>

<table cellpadding="3" cellspacing="0" border="0">
    <%= navWebFragment.getHtml("templates/plugins/webfragments/system-user-profile-links-operations.vm", "system.user.profile.links", new JiraHelper(request), userNavLayout) %>
</table>
<br>