<%@ page import="com.atlassian.core.util.DateUtils" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.util.velocity.VelocityRequestContextFactory" %>
<%@ page import="org.ofbiz.core.entity.GenericValue" %>
<%@ page import="webwork.action.CoreActionContext" %>
<%
    final String baseUrl = new VelocityRequestContextFactory(ComponentManager.getInstance().getApplicationProperties()).getJiraVelocityRequestContext().getCanonicalBaseUrl();
    GenericValue issue = (GenericValue) CoreActionContext.getValueStack().findValue("issue");
    String issueUrl = baseUrl + "/browse/" + issue.getString("key");
    String issueUrlViaId = baseUrl + "/secure/ViewIssue.jspa?id=" + issue.getString("id");
    String issueUrlViaKey = baseUrl + "/secure/ViewIssue.jspa?key=" + issue.getString("key");
    DateUtils dateUtils = new DateUtils(null); //ISO8601 does not need the resource bundle.  We should split this out
    pageContext.setAttribute("dateUtils", dateUtils);
%>
<webwork:bean name="'com.atlassian.core.util.StringUtils'" id="stringUtils" />
<!--
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
         xmlns:dc="http://purl.org/dc/elements/1.1/"
         xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/">
<rdf:Description rdf:about="<%= issueUrl %>"
    dc:title="[#<webwork:property value="string('key')" />] <webwork:property value="string('summary')" />"
    dc:subject="<webwork:property value="/projectManager/project(long('project'))/string('name')" />"
    dc:description="<webwork:property value="@stringUtils/crop(./string('description'), 100, ' ...')" />"
    dc:date="<webwork:property value="@dateUtils/formatDateISO8601(timestamp('created'))" />"
    dc:identifier="<%= issueUrl %>"
    trackback:ping="<%=baseUrl %>/rpc/trackback/<webwork:property value="string('key')"/>"/>

<rdf:Description rdf:about="<%= issueUrlViaId %>"
    dc:title="[#<webwork:property value="string('key')" />] <webwork:property value="string('summary')" />"
    dc:subject="<webwork:property value="/projectManager/project(long('project'))/string('name')" />"
    dc:description="<webwork:property value="@stringUtils/crop(./string('description'), 100, ' ...')" />"
    dc:date="<webwork:property value="@dateUtils/formatDateISO8601(timestamp('created'))" />"
    dc:identifier="<%= issueUrlViaId %>"
    trackback:ping="<%=baseUrl %>/rpc/trackback/<webwork:property value="string('key')"/>"/>

<rdf:Description rdf:about="<%= issueUrlViaKey %>"
    dc:title="[#<webwork:property value="string('key')" />] <webwork:property value="string('summary')" />"
    dc:subject="<webwork:property value="/projectManager/project(long('project'))/string('name')" />"
    dc:description="<webwork:property value="@stringUtils/crop(./string('description'), 100, ' ...')" />"
    dc:date="<webwork:property value="@dateUtils/formatDateISO8601(timestamp('created'))" />"
    dc:identifier="<%= issueUrlViaKey %>"
    trackback:ping="<%=baseUrl %>/rpc/trackback/<webwork:property value="string('key')"/>"/>
</rdf:RDF>-->
