<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'admin.workflowmigration.withfailure.title'" /></title>
</head>

<body>

    <%-- If this page is refreshed the migration will run again. Maybe need to rewrite as a redirect. --%>
    <table cellpadding=1 cellspacing=0 border=0 align=center width=80% bgcolor=cc0000><tr><td>
	<table cellpadding=4 cellspacing=0 border=0 width=100% bgcolor=ffcccc><tr><td>
        <%-- In professional the scheme is always null, since this method does not exist. --%>
        <webwork:if test="/scheme != null">
            <webwork:text name="'admin.workflowmigration.withfailure.associatedscheme'">
                <webwork:param name="'value0'"><webwork:property value="/scheme/string('name')" /></webwork:param>
                <webwork:param name="'value1'"><webwork:property value="/project/string('name')" /></webwork:param>
            </webwork:text>
        </webwork:if>
        <webwork:elseIf test="/enterprise == true">
            <webwork:text name="/failureMigrationMessageKey">
                    <webwork:param name="'value1'"><webwork:property value="/project/string('name')" /></webwork:param>
            </webwork:text>
        </webwork:elseIf>
        <webwork:else>
            <webwork:text name="/failureMigrationMessageKey"/>
        </webwork:else>


        <webwork:text name="'admin.workflowmigration.withfailure.errors'" />

        <ol>
        <webwork:iterator value="/failedIssueIds()">
            <li>
                <webwork:text name="'admin.workflowmigration.withfailure.issues'">
                    <webwork:param name="'value0'"><webwork:property value="./key()" /></webwork:param>
                    <webwork:param name="'value1'"><a href="<%= request.getContextPath() %>/browse/<webwork:property value="./value()" />"><webwork:property value="./value()" /></a></webwork:param>
                </webwork:text>
            </li>
        </webwork:iterator>
        </ol>

        <webwork:text name="'admin.workflowmigration.withfailure.refertolog'" />
        <webwork:if test="/enterprise == true">
        <p>
            <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="/project/long('id')" />">
                <webwork:text name="'admin.workflowmigration.withfailure.returntoproject'">
                    <webwork:param name="'value0'"><webwork:property value="./project/string('name')" /></webwork:param>
                </webwork:text>
            </a>
        </p>
        </webwork:if>

    <%-- formwide error messages --%>
	<webwork:if test="hasErrorMessages == 'true'">
    <p>
			<font color=cc0000><b><webwork:text name="'panel.errors'" /></b>:</font>
            <ul>
			<webwork:iterator value="errorMessages">
			    <li><webwork:property /></li>
			</webwork:iterator>
            </ul>
    </p>
	</webwork:if>

	</td></tr></table>
	</td></tr></table>

</body>
</html>