<%@ page import="com.atlassian.plugin.webresource.WebResourceManager" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.portal.PortletConfiguration" %>
<%@ page import="webwork.action.CoreActionContext" %>
<%@ page import="com.atlassian.jira.web.portlet.bean.PortletRenderer" %>
<%@ page import="com.atlassian.util.profiling.UtilTimerStack" %>
<%@ page import="com.atlassian.jira.config.properties.LookAndFeelBean" %>
<%@ page import="com.atlassian.jira.ManagerFactory" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.Iterator" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<%
    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    final List portletHtml = new ArrayList();
%>
<html>
<head>
    <title>IFrame Dashboard</title>
    <script language="JavaScript" type="text/javascript" src="<%= webResourceManager.getStaticResourcePrefix() %>/includes/js/combined-javascript.js"></script>
    <link rel="stylesheet" type="text/css" media="screen" href="<%= request.getContextPath() %>/styles/combined.css">
    <link rel="stylesheet" type="text/css" media="print,screen" href="<%= webResourceManager.getStaticResourcePrefix(String.valueOf(LookAndFeelBean.getInstance(ManagerFactory.getApplicationProperties()).getVersion())) %>/styles/global.css">
    <link rel="StyleSheet" type="text/css" href="<%= request.getContextPath() %>/func/dashboard/idashboard.css" />
    <%-- Do not decorate the func master as having a decorator fails to update the command list --%>
    <meta name="decorator" content="none">


</head>
<body>

<form id="urlForm" method="post" action="#" onsubmit="return loadPage();">
    <input type="text" name="currentUrl" id="currentUrl" />
</form>

<webwork:iterator value="/portlets">
                <%
                    final PortletConfiguration portletConfiguration = (PortletConfiguration) CoreActionContext.getValueStack().findValue((String) null);
                    final PortletRenderer portletRenderer = new PortletRenderer();
                %>

                <%  String viewHtml = portletRenderer.renderPortlet(request, response, portletConfiguration, true);
                    if (viewHtml != null) //velocity portlet
                    {
                        // Get the portlet to render itself before we render it so that we can include any needed webresources first
                        portletHtml.add(viewHtml);
                    }
                %>
</webwork:iterator>

<%
    webResourceManager.includeResources(out);
%>

<div id="commands">
    <h2>Your Dashboard</h2>
    &nbsp;
        <%
            for (Iterator iterator = portletHtml.iterator(); iterator.hasNext();)
            {
                String html = (String) iterator.next();
                out.print("<p>" + html + "</p>");
            }
        %>
</div>

<div id="frameHolderHolder" >
    <iframe id="frameHolder" name="frameHolder" src="<%=request.getContextPath()%>/secure/Dashboard.jspa">
    </iframe>
</div>
<script language="JavaScript" type="text/javascript">
<!--
function loadPage()
{
    document.getElementById('frameHolder').src = document.getElementById('currentUrl').value;
    return false;
}

function loadUrl()
{
    var url = readCookie('currentUrl');
    if (url && url != '')
    {
        document.getElementById('currentUrl').value = url;
        loadPage();
    }
}
    loadUrl();

window.onload = function ()
{
    document.getElementById('frameHolder').onload = preparePage;
    preparePage();
}

function preparePage(oEvent)
{
    document.getElementById('currentUrl').value = idoc().location;
}


function idoc()
{
    return frames['frameHolder'].document;
}

function ifr()
{
    return frames['frameHolder'];
}
//-->
</script>

</body>
</html>