<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title>
        <webwork:text name="'user.profile'"/> : <webwork:property value="user/fullName"/>
    </title>
</head>

<body>
<webwork:property value="user">
<table cellpadding="4" cellspacing="0" border="0" width="100%" bgcolor="#bbbbbb" style="border-bottom: 1px solid #bbb;">
    <tr>
        <td bgcolor="#f0f0f0" colspan="2">
            <h3 class="formtitle">
                <webwork:text name="'user.profile'"/> : <webwork:property value="fullName"/>
            </h3>
        </td>
    </tr>
</table>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td width="200" bgcolor="#f0f0f0" valign="top" style="border-right: 1px solid #cccccc;">
    <jsp:include page="/includes/panels/user_summary_pane.jsp"/>
</td>
<td bgcolor="#ffffff" width="70%" valign="top" style="padding:6px">
    <br/>
    <!-- Show the tab headers if we have more than one -->
    <webwork:if test="/hasMoreThanOneProfileTabs == true">
        <table cellpadding="2" cellspacing="0" border="0" width="100%" align="center">
            <tr>
                <webwork:iterator value="/profilePanelsByTabs/keySet()">
                    <webwork:if test="/selectedTab/equals(.) == true">
                        <td class="projectTabPanelTabSelected">
                        <webwork:text name="."/>
                    </webwork:if>
                    <webwork:else>
                        <td class="projectTabPanelTab">
                        <a href='<%= request.getContextPath() %>/secure/ViewProfile.jspa?selectedTab=<webwork:property value="."/>'>
                            <webwork:text name="."/>
                        </a>
                    </webwork:else>
                    </td>
                </webwork:iterator>
                <td>&nbsp;</td>
            </tr>
        </table>
    </webwork:if>
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
        <tr>
            <td <webwork:if test="/hasMoreThanOneProfileTabs == true">style="border: 1px solid #cccccc; padding:4px"</webwork:if>>
                <!-- Show the selected tabs content-->
                <webwork:property value="/profilePanelForTab(/selectedTab)/html"/>
            </td>
        </tr>
    </table>
</td>
<td bgcolor="#fffff0" width="30%" valign="top" nowrap style="border-left: 1px solid #cccccc; padding:4px;">
    <h3 class="formtitle">
        <webwork:text name="'user.summary'"/>
    </h3>
    <webwork:if test="/user == /remoteUser">
        <p>
            <b>
                <webwork:text name="'user.filters'"/>
            </b><br/>
            <table>
                <tr>
                    <td>
                        <li>
                            <webwork:text name="'userfilters.assigned'"/>
                        </li>
                    </td>
                    <td><font size="1">( <a href="IssueNavigator.jspa?reset=true&assigneeSelect=issue_current_user">
                        <webwork:text name="'common.filters.all'"/>
                    </a> | <a href="IssueNavigator.jspa?reset=true&assigneeSelect=issue_current_user&resolution=-1">
                        <webwork:text name="'common.concepts.openissues'"/>
                    </a> )</font></td>
                </tr>
                <tr>
                    <td>
                        <li>
                            <webwork:text name="'userfilters.inprogress'"/>
                        </li>
                    </td>
                    <td><font size="1">(
                        <a href="IssueNavigator.jspa?reset=true&assigneeSelect=issue_current_user&status=3">
                            <webwork:text name="'common.filters.all'"/>
                        </a> )</font></td>
                </tr>
                <tr>
                    <td>
                        <li>
                            <webwork:text name="'userfilters.reported'"/>
                        </li>
                    </td>
                    <td><font size="1">( <a href="IssueNavigator.jspa?reset=true&reporterSelect=issue_current_user">
                        <webwork:text name="'common.filters.all'"/>
                    </a> | <a href="IssueNavigator.jspa?reset=true&reporterSelect=issue_current_user&resolution=-1">
                        <webwork:text name="'common.concepts.openissues'"/>
                    </a> )</font></td>
                </tr>
            </table>
        </p>
        <p>
            <b>
                <webwork:text name="'user.assignedopen'"/>
            </b><br/>
            <table cellpadding="2" cellspacing="0" border="0" width="90%" align="center">
                <webwork:iterator value="/browseableProjects">
                    <tr>
                        <td valign="top">
                            <a href="IssueNavigator.jspa?reset=true&pid=<webwork:url value="long('id')" />&resolution=-1&assigneeSelect=issue_current_user"><img src="<%= request.getContextPath() %>/images/icons/status_assigned.gif" height="16" width="16" border="0" align="absmiddle" alt="<webwork:text name="'userfilters.assigned'"/>" title="<webwork:text name="'userfilters.assigned'"/>"></a>
                            <a href="IssueNavigator.jspa?reset=true&pid=<webwork:url value="long('id')" />&resolution=-1&assigneeSelect=issue_current_user">
                                <webwork:property value="string('name')"/>
                            </a></td>
                        <td valign="top" align="right" width="30%">
                            <webwork:property value="issuesByProject(.)"/>
                        </td>
                    </tr>
                </webwork:iterator>
            </table>
        </p>
    </webwork:if>
    <webwork:else>
        <p>
            <b>
                <webwork:text name="'user.filters'"/>
            </b><br/>
            <table>
                <tr>
                    <td>
                        <li>
                            <webwork:text name="'userfilters.assigned'"/>
                        </li>
                    </td>
                    <td><font size=1>(
                        <a href="IssueNavigator.jspa?reset=true&assigneeSelect=specificuser&assignee=<webwork:property value="/user"/>">
                            <webwork:text name="'common.filters.all'"/>
                        </a> |
                        <a href="IssueNavigator.jspa?reset=true&assigneeSelect=specificuser&assignee=<webwork:property value="/user"/>&resolution=-1">
                            <webwork:text name="'common.concepts.openissues'"/>
                        </a> )</font></td>
                </tr>
                <tr>
                    <td>
                        <li>
                            <webwork:text name="'userfilters.inprogress'"/>
                        </li>
                    </td>
                    <td><font size=1>(
                        <a href="IssueNavigator.jspa?reset=true&assigneeSelect=specificuser&assignee=<webwork:property value="/user"/>&status=3">
                            <webwork:text name="'common.filters.all'"/>
                        </a> )</font></td>
                </tr>
                <tr>
                    <td>
                        <li>
                            <webwork:text name="'userfilters.reported'"/>
                        </li>
                    </td>
                    <td><font size=1>(
                        <a href="IssueNavigator.jspa?reset=true&reporterSelect=specificuser&reporter=<webwork:property value="/user"/>">
                            <webwork:text name="'common.filters.all'"/>
                        </a> |
                        <a href="IssueNavigator.jspa?reset=true&reporterSelect=specificuser&reporter=<webwork:property value="/user"/>&resolution=-1">
                            <webwork:text name="'common.concepts.openissues'"/>
                        </a> )</font></td>
                </tr>
            </table>
        </p>
        <p>
            <b>
                <webwork:text name="'user.assignedopen'"/>
            </b><br/>
            <table cellpadding="2" cellspacing="0" border="0" width="90%" align="center">
                <webwork:iterator value="/browseableProjects">
                    <tr>
                        <td valign="top">
                            <a href="IssueNavigator.jspa?reset=true&pid=<webwork:url value="long('id')" />&resolution=-1&assigneeSelect=specificuser&assignee=<webwork:property value="/user"/>"><img src="<%= request.getContextPath() %>/images/icons/status_assigned.gif" height="16" width="16" border="0" align="absmiddle" alt="<webwork:text name="'userfilters.assigned'"/>" title="<webwork:text name="'userfilters.assigned'"/>"></a>
                            <a href="IssueNavigator.jspa?reset=true&pid=<webwork:url value="long('id')" />&resolution=-1&assigneeSelect=specificuser&assignee=<webwork:property value="/user"/>">
                                <webwork:property value="string('name')"/>
                            </a></td>
                        <td valign="top" align="right" width="30%">
                            <webwork:property value="issuesByProject(.)"/>
                        </td>
                    </tr>
                </webwork:iterator>
            </table>
        </p>
    </webwork:else>
</td>
</webwork:property>


</tr>
</table>

</body>
</html>

