<%@ page import="com.atlassian.jira.util.BuildUtils,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
<%--	<title>Setup Enterprise License </title>--%>
</head>

<body>

<webwork:if test="licenseUpdated == true">
    <page:applyDecorator name="jirapanel">
	    <page:param name="width">100%</page:param>
	    <page:param name="title"><webwork:text name="'admin.license.update.license'"/></page:param>
        <page:param name="description">
            <font color="#cc0000"><b><webwork:text name="'system.error.license.updated.please.restart'"/>
            <p>
            <webwork:text name="'system.error.restart.for.changes'"/></b></font>
            <p><webwork:text name="'system.error.click.here.after.restart'">
                   <webwork:param name="value0"><a href="<%= request.getContextPath() %>/"></webwork:param>
                   <webwork:param name="value0"></a></webwork:param>
               </webwork:text>
        </page:param>
    </page:applyDecorator>
</webwork:if>
<webwork:elseIf test="installationConfirmed == true">
    <page:applyDecorator name="jirapanel">
	    <page:param name="width">100%</page:param>
	    <page:param name="title"><webwork:text name="'admin.license.update.license'"/></page:param>
        <page:param name="description">
            <font color="#cc0000"><b><webwork:text name="'system.error.installation.complete.please.restart'"/>
            <p>
            <webwork:text name="'system.error.restart.for.changes'"/></b></font>
            <p><webwork:text name="'system.error.click.here.after.restart'">
                   <webwork:param name="value0"><a href="<%= request.getContextPath() %>/"></webwork:param>
                   <webwork:param name="value0"></a></webwork:param>
               </webwork:text>
        </page:param>
    </page:applyDecorator>
</webwork:elseIf>
<webwork:else>
    <page:applyDecorator name="jiraform">
        <page:param name="action">ConfirmNewInstallationWithOldLicense.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'common.words.proceed'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="title"><webwork:text name="'system.error.confirm.new.installation'"/></page:param>
        <page:param name="description">
            <webwork:text name="'system.error.your.support.period.ended'">
                <webwork:param name="value0"><webwork:property value="/outlookDate/formatDMY(supportPeriodEnd)" /></webwork:param>
            </webwork:text>
            <p>
            <webwork:text name="'system.error.this.jira.was.created.on'">
                <webwork:param name="value0"><%= BuildUtils.getVersion() %></webwork:param>
                <webwork:param name="value1"><font size="1"></webwork:param>
                <webwork:param name="value2"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                <webwork:param name="value3"></font></webwork:param>
                <webwork:param name="value4"><%= ManagerFactory.getOutlookDateManager().getOutlookDate(request.getLocale()).formatDMY(BuildUtils.getCurrentBuildDate()) %></webwork:param>
            </webwork:text>
            <webwork:text name="'system.error.not.valid.license.considered.as.evaluation'"/>
            <p>
            <webwork:text name="'system.error.current.license.details'"/>:<br>
            <% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY); %>
            <table class="borderedBox" bgcolor="#fffff0">
                <tr><td><b><webwork:text name="'admin.license.organisation'"/>:</b>&nbsp;</td><td><%= license.getOrganisation() %></td></tr>
                <tr><td><b><webwork:text name="'admin.license.type'"/>:</b>&nbsp;</td><td><%= license.getLicenseType() %></td></tr>
                <tr><td><b><webwork:text name="'admin.license.date.purchased'"/>:</b>&nbsp;</td><td><%= ManagerFactory.getOutlookDateManager().getOutlookDate(request.getLocale()).formatDMY(license.getDatePurchased()) %></td></tr>
            </table>
            <p>
            <webwork:text name="'system.error.you.can.either'"/>:
            <dl>
                <dd><webwork:text name="'system.error.enter.new.license.below'"/></dd>
                <dd><font color="red"><i><webwork:text name="'system.error.or'"/></i></font></dd>
                <dd><webwork:text name="'system.error.proceed.under.evaluation.terms'">
                    <webwork:param name="value0"><b></webwork:param>
                    <webwork:param name="value1"></b></webwork:param>
                </webwork:text><dd>
            </dl>
            <p>
        </page:param>

        <ui:component label="text('system.error.admin.username')" name="'userName'" template="userselect.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'imageName'" value="'userImage'"/>
            <ui:param name="'size'" value="40"/>
        </ui:component>

        <ui:component label="text('common.words.password')" name="'password'" template="password.jsp">
            <ui:param name="'size'">40</ui:param>
            <ui:param name="'description'"><webwork:text name="'system.error.admin.username.password.desc'"/></ui:param>
        </ui:component>


        <tr>
            <td bgcolor="#fffff0">&nbsp;</td>
            <td bgcolor="#ffffff">&nbsp;</td>
        </tr>

        <tr>
            <td bgcolor="#fffff0">&nbsp;</td>
            <td bgcolor="#ffffff"><font color="red"><b><webwork:text name="'system.error.either.enter.license.key'"/></b></font></td>
        </tr>

        <page:param name="licenseString"><webwork:text name="'system.error.copy.and.paste.license.key.below'"/></page:param>

        <ui:component template="textlabel.jsp" label="text('admin.server.id')" value="/serverId"/>

        <ui:textarea label="text('admin.license')" name="'license'" cols="50" rows="10" >
            <ui:param name="'description'">
                <webwork:text name="'system.error.license.line1.desc'" /><br>
                <webwork:text name="'system.error.license.line2.desc'">
                    <webwork:param name="'value0'"><a target="_blank" href="<webwork:component name="'external.link.jira.license.view'" template="externallink.jsp" >
                        <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                        <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                        <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                        <webwork:param name="'value3'"><webwork:property value="/serverId"/></webwork:param>
                        </webwork:component>"></webwork:param>
                    <webwork:param name="'value1'"></a></webwork:param>
                </webwork:text>
            </ui:param>
        </ui:textarea>


        <tr>
            <td bgcolor="#fffff0">&nbsp;</td>
            <td bgcolor="#ffffff"><font color="red"><b><webwork:text name="'system.error.or.confirm.evaluation.period'"/></b></font></td>
        </tr>

        <ui:checkbox label="text('common.words.confirm')" name="'confirm'" fieldValue="'confirmed'" >
            <ui:param name="'description'"><webwork:text name="'system.error.check.box.to.agree.evaluation.terms'"/></ui:param>
        </ui:checkbox>

    </page:applyDecorator>
</webwork:else>
</p>

</body>
</html>